6.0.0-git
2021-01-24

[#6175] Groups SQL driver
Summary Groups SQL driver
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester duck (at) obala (dot) net
Created 2008-01-30 (4743 days ago)
Due
Updated 2008-04-09 (4673 days ago)
Assigned 2008-04-05 (4677 days ago)
Resolved 2008-04-05 (4677 days ago)
Milestone
Patch Yes

History
2008-04-09 03:06:53 Chuck Hagenbuch Comment #10 Reply to this comment
Added a migration script similar to the perms one; also added sequence 
setting to both migration scripts so that nextId() doesn't result in 
collisions with the (probably pretty high) datatree ids that are 
preserved this way.



Works For Me (tm).



Thanks again.
2008-04-06 09:22:38 Duck Comment #9 Reply to this comment
Works for me so far. It's all committed and merged - thanks! If you
happen to have a migration script that'd be great, but it'd have to
automatically update group ids in permissions also - tricky.
Unfortunately I don't have it.



By migrating even the DT id, updating permission would not be necessary.
2008-04-06 09:19:07 Duck Comment #8 Reply to this comment
I'm changing group_uid in horde_groups_members to be an int, not a
varchar - is that right?
yes
2008-04-05 19:07:58 Chuck Hagenbuch Comment #7
Assigned to Chuck Hagenbuch
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
Works for me so far. It's all committed and merged - thanks! If you 
happen to have a migration script that'd be great, but it'd have to 
automatically update group ids in permissions also - tricky.
2008-04-05 05:04:08 Chuck Hagenbuch Comment #6
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
This is committed, with some changes for params and such; everything 
but conf.xml. I'm hoping to work on this and the other SQL drivers 
tomorrow.
2008-04-05 02:50:19 Chuck Hagenbuch Comment #5 Reply to this comment
I'm changing group_uid in horde_groups_members to be an int, not a 
varchar - is that right?
2008-02-25 18:54:05 Chuck Hagenbuch State ⇒ Accepted
 
2008-02-25 01:04:31 Jan Schneider Patch ⇒ Yes
 
2008-02-25 01:04:16 Jan Schneider Deleted Original Message
 
2008-02-24 16:01:44 Duck Comment #4
New Attachment: sql.php Download
Reply to this comment
Fix adding member and removing group.

Now I am running it on my public server.


2008-01-30 17:33:30 Duck Comment #3 Reply to this comment
And a short test: Having 5 groups, each child of another, two users 
per group, groups cache enabled. Average of after 1000 runs.



Memory usage:

----

3,932,160 current data tree

3,407,872 sql2

----

500k less



Time in seconds

---

0,0060 dt

0,0041 sql

0,0035 sql2



script:

----

define('HORDE_BASE', dirname(__FILE__) . '/../');

require_once HORDE_BASE . '/lib/base.php';

require_once 'Horde/Group.php';

$s = &Group::factory('sql2');

$s->listGroups());

$s->getGroupMemberships('duck');

$s->getGroupMemberships('duck', true);

$s->userIsInGroup('duck', 85780, false);

$s->userIsInGroup('duck', 85780, true);
2008-01-30 17:27:19 Duck Comment #2
New Attachment: sql2.php
Reply to this comment
A little bit more optimized. It don't store  all object in session 
objects but only the results as normal session indexed array and it 
not needs parents column as parents are already stored in group name.
2008-01-30 16:53:31 Duck Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Groups SQL driver
Queue ⇒ Horde Framework Packages
New Attachment: groups.tgz Download
Reply to this comment
Another attempt to move data out of DT to reduce time/memory usage. 
Acts the same as current DT groups driver just stores the data in two 
small dedicated tables.

Saved Queries